//********************************************************************
PROGRAM DataProviderDemo;
// Bitte nur ganz unten im MainProgram ndern; zuerst speichern, dann
// laden - sonst ist gar nichts zum Laden da :). Die geladenen Daten
// werden in der Prozedur LoadTest wieder auf die Platte gespeichert.
//********************************************************************
USES
  SysUtils,
  Classes,
  dglRTTI,
  dglDataProvider,
  TestUnit;

//********************************************************************
Procedure SaveTest;
Var
   LDataProvider: TCSV_DataProvider;
   MyObject: TTestObject2;
Begin
   MyObject:= TTestObject2.Create;

   With MyObject.AObject Do Begin
      Name:= 'Rudi'; NumberInt:= 24; NumberFloat:= 123.45;
   End;
   With MyObject.BObject Do Begin
      Name:= 'Karin'; NumberInt:= 112; NumberFloat:= 678.91;
   End;

   LDataProvider:= TCSV_DataProvider.Create('FILE_RTTI', faSave);
   LDataProvider.SaveClient(MyObject);
   LDataProvider.Free;

   MyObject.Free;
End;
//********************************************************************
Procedure LoadTest;
Var
   LDataProvider: TCSV_DataProvider;
   MyObject: TTestObject2;
   Lines: TStringList;
Begin
   LDataProvider:= TCSV_DataProvider.Create('FILE_RTTI', faLoad);
   With LDataProvider Do MyObject:= TTestObject2(LoadClient);
   LDataProvider.Free;

   Lines:= TStringList.Create;
   With MyObject.AObject,Lines Do Begin
      Add(Name);
      Add(IntToStr(NumberInt));
      Add(FloatToStr(NumberFloat));
   End;
   With MyObject.BObject,Lines Do Begin
      Add(Name);
      Add(IntToStr(NumberInt));
      Add(FloatToStr(NumberFloat));
   End;
   Lines.SaveToFile('LOADED_CONTENT.Txt');
   Lines.Free;

   MyObject.Free;
End;
//********************************************************************
// MAINPROGRAM
Begin
   SaveTest;
   LoadTest;
End.
